# NAME

git-annex test - run built-in test suite

# SYNOPSIS

git annex test

# DESCRIPTION

This runs git-annex's built-in test suite.

The test suite runs in the `.t` subdirectory of the current directory.

It can be useful to run the test suite on different filesystems,
or to verify your local installation of git-annex.

# OPTIONS
      
There are several options, provided by Haskell's tasty test
framework. Pass --help for details about those.

* `--keep-failures`

  When there are test failures, leave the `.t` directory populated with
  repositories that demonstate the failures, for later analysis.

# SEE ALSO

[[git-annex]](1)

[[git-annex-testremote]](1)

# AUTHOR

Joey Hess <id@joeyh.name>

Warning: Automatically converted into a man page by mdwn2man. Edit with care.
